<!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
{% block sw_cms_element_ext_slider_config %}
<div class="sw-cms-el-config-ext-slider">
    <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
    {% block sw_cms_element_ext_slider_config_tabs %}
    <sw-tabs
        position-identifier="sw-cms-element-config-ext-slider"
        class="sw-cms-el-config-ext-slider__tabs"
        default-item="content"
    >
        <template #default="{ active }">
            <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
            {% block sw_cms_element_ext_slider_config_tab_content %}
            <sw-tabs-item
                :title="$tc('sw-cms.elements.general.config.tab.content')"
                name="content"
                :active-tab="active"
            >
                {{ $tc('sw-cms.elements.general.config.tab.content') }}
            </sw-tabs-item>
            {% endblock %}
            <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
            {% block sw_cms_element_ext_slider_config_tab_options %}
            <sw-tabs-item
                :title="$tc('sw-cms.elements.general.config.tab.settings')"
                name="settings"
                :active-tab="active"
            >
                {{ $tc('sw-cms.elements.general.config.tab.settings') }}
            </sw-tabs-item>
            {% endblock %}
        </template>

        <template
            #content="{ active }"
        >
            <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
            {% block sw_cms_element_ext_slider_config_content %}
            <sw-container
                v-if="active === 'content'"
                class="sw-cms-el-config-ext-slider__tab-content"
            >
                <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                {% block sw_cms_element_ext_slider_config_content_title %}
                <sw-text-field
                    {% if VUE3 %}
                    v-model:value="element.config.title.value"
                    {% else %}
                    v-model="element.config.title.value"
                    {% endif %}
                    :label="$tc('sw-cms.elements.extSlider.config.label.title')"
                    :placeholder="$tc('sw-cms.elements.extSlider.config.placeholder.title')"
                />
                {% endblock %}

                <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                {% block sw_cms_element_ext_slider_config_content_product_assignment_type %}
                <sw-single-select
                    {% if VUE3 %}
                    v-model:value="element.config.products.source"
                    {% else %}
                    v-model="element.config.products.source"
                    {% endif %}
                    class="sw-cms-el-config-ext-slider__product-assignment-type-select"
                    :label="$tc('sw-cms.elements.extSlider.config.label.productAssignmentType')"
                    :options="productAssignmentTypes"
                    show-clearable-button
                    {% if VUE3 %}
                    @update:value="onChangeAssignmentType"
                    {% else %}
                    @change="onChangeAssignmentType"
                    {% endif %}
                />
                {% endblock %}

                <template v-if="element.config.products.source === 'product_stream'">
                    <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                    {% block sw_cms_element_ext_slider_config_content_product_stream_select %}
                    <sw-entity-single-select
                        {% if VUE3 %}
                        v-model:value="element.config.products.value"
                        {% else %}
                        v-model="element.config.products.value"
                        {% endif %}
                        entity="product_stream"
                        class="sw-cms-el-config-ext-slider__product-stream-select"
                        :label="$tc('sw-cms.elements.extSlider.config.label.productStreamChoice')"
                        :placeholder="$tc('sw-cms.elements.extSlider.config.placeholder.productStreamChoice')"
                        show-clearable-button
                        {% if VUE3 %}
                        @update:value="onChangeProductStream"
                        {% else %}
                        @change="onChangeProductStream"
                        {% endif %}
                    />
                    {% endblock %}

                    <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                    {% block sw_cms_element_ext_slider_config_content_product_stream_performance_hint %}
                    <sw-alert
                        class="sw-cms-el-config-ext-slider__product-stream-performance-hint"
                        variant="info"
                    >
                        {{ $tc('sw-cms.elements.extSlider.config.textProductStreamPerformanceHint') }}
                    </sw-alert>
                    {% endblock %}

                    <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                    {% block sw_cms_element_ext_slider_config_content_product_stream_preview %}
                    <sw-modal
                        v-if="showProductStreamPreview"
                        :title="productStream.name"
                        class="sw-cms-el-config-ext-slider__product-stream-preview-modal"
                        @modal-close="onCloseProductStreamModal"
                    >
                        <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                        {% block sw_cms_element_ext_slider_config_content_product_stream_preview_grid %}
                        <sw-product-stream-grid-preview
                            :filters="productStream.apiFilter"
                            :columns="productStreamPreviewColumns"
                            :criteria="productStreamCriteria"
                        />
                        {% endblock %}
                        <template #modal-footer>
                            <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                            {% block sw_cms_element_ext_slider_config_content_product_stream_preview_action_close %}
                            <sw-button
                                size="small"
                                @click="onCloseProductStreamModal"
                            >
                                {{ $tc('global.sw-modal.labelClose') }}
                            </sw-button>
                            {% endblock %}
                        </template>
                    </sw-modal>
                    {% endblock %}

                    <sw-container
                        columns="1fr 1fr"
                        gap="30px"
                    >
                        <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                        {% block sw_cms_element_ext_slider_config_content_product_stream_sorting %}
                        <sw-single-select
                            {% if VUE3 %}
                            v-model:value="element.config.productStreamSorting.value"
                            {% else %}
                            v-model="element.config.productStreamSorting.value"
                            {% endif %}
                            :label="$tc('sw-cms.elements.extSlider.config.label.productStreamSorting')"
                            class="sw-cms-el-config-ext-slider__product-stream-sorting"
                            :disabled="!productStream"
                            :placeholder="$tc('sw-cms.elements.extSlider.config.placeholder.productStreamSorting')"
                            :options="productStreamSortingOptions"
                            show-clearable-button
                        />
                        {% endblock %}

                        <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                        {% block sw_cms_element_ext_slider_config_content_product_stream_limit %}
                        <sw-number-field
                            {% if VUE3 %}
                            v-model:value="element.config.productStreamLimit.value"
                            {% else %}
                            v-model="element.config.productStreamLimit.value"
                            {% endif %}
                            :label="$tc('sw-cms.elements.extSlider.config.label.productStreamLimit')"
                            class="sw-cms-el-config-ext-slider__product-stream-limit"
                            :disabled="!productStream"
                            :min="1"
                        />
                        {% endblock %}
                    </sw-container>

                    <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                    {% block sw_cms_element_ext_slider_config_content_product_stream_preview_link %}
                    <div class="sw-cms-el-config-ext-slider__product-stream-preview-link-container">
                        <a
                            class="sw-cms-el-config-ext-slider__product-stream-preview-link link"
                            :class="{ 'is--disabled': !productStream }"
                            href="#"
                            @click.prevent="onClickProductStreamPreview"
                        >
                            {{ $tc('sw-cms.elements.extSlider.config.textProductStreamPreviewLink') }}
                            <sw-icon
                                name="regular-long-arrow-right"
                                small
                            />
                        </a>
                    </div>
                    {% endblock %}
                </template>

                <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                {% block sw_cms_element_ext_slider_config_content_products %}
                <sw-entity-multi-select
                    v-else
                    {% if VUE3 %}
                    v-model:entityCollection="productCollection"
                    {% else %}
                    v-model="productCollection"
                    {% endif %}
                    class="sw-cms-el-config-ext-slider__products"
                    :label="$tc('sw-cms.elements.extSlider.config.label.selection')"
                    :placeholder="$tc('sw-cms.elements.extSlider.config.placeholder.selection')"
                    :context="productMultiSelectContext"
                    :criteria="productMediaFilter"
                    {% if VUE3 %}
                    @update:entity-collection="onProductsChange"
                    {% else %}
                    @change="onProductsChange"
                    {% endif %}
                >
                    <template #selection-label-property="{ item }">
                        <sw-product-variant-info
                            :variations="item.variation"
                        >
                            {{ item.translated.name || item.name }}
                        </sw-product-variant-info>
                    </template>
                    <template #result-item="{ item, index }">
                        <slot
                            name="result-item"
                            v-bind="{ item, index }"
                        >
                            <sw-select-result
                                v-bind="{ item, index, selected: isSelected(item.id)}"
                            >
                                <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                                {% block sw_entity_single_select_base_results_list_result_label %}
                                <span class="sw-select-result__result-item-text">
                                    <sw-product-variant-info
                                        :variations="item.variation"
                                    >
                                        {{ item.translated.name || item.name }}
                                    </sw-product-variant-info>
                                </span>
                                {% endblock %}
                            </sw-select-result>
                        </slot>
                    </template>
                </sw-entity-multi-select>
                {% endblock %}

                <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                {% block sw_cms_element_ext_slider_config_settings_display_mode %}
                <sw-select-field
                    {% if VUE3 %}
                    v-model:value="element.config.displayMode.value"
                    {% else %}
                    v-model="element.config.displayMode.value"
                    {% endif %}
                    :label="$tc('sw-cms.elements.general.config.label.displayMode')"
                >
                    <option value="standard">
                        {{ $tc('sw-cms.elements.general.config.label.displayModeStandard') }}
                    </option>
                    <option value="cover">
                        {{ $tc('sw-cms.elements.general.config.label.displayModeCover') }}
                    </option>
                    <option value="contain">
                        {{ $tc('sw-cms.elements.general.config.label.displayModeContain') }}
                    </option>
                </sw-select-field>
                {% endblock %}

                
                <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                {% block sw_cms_element_ext_slider_config_settings_box_layout %}
                <sw-select-field
                    {% if VUE3 %}
                    v-model:value="element.config.boxLayout.value"
                    {% else %}
                    v-model="element.config.boxLayout.value"
                    {% endif %}
                    :label="$tc('sw-cms.elements.productBox.config.label.layoutType')"
                >
                    <option value="standard">
                        {{ $tc('sw-cms.elements.productBox.config.label.layoutTypeStandard') }}
                    </option>
                    <option value="image">
                        {{ $tc('sw-cms.elements.productBox.config.label.layoutTypeImage') }}
                    </option>
                    <option value="minimal">
                        {{ $tc('sw-cms.elements.productBox.config.label.layoutTypeMinimal') }}
                    </option>
                </sw-select-field>
                {% endblock %}
            </sw-container>
            {% endblock %}

            <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
            {% block sw_cms_element_ext_slider_config_settings %}
            <sw-container
                v-if="active === 'settings'"
                class="sw-cms-el-config-ext-slider__tab-settings"
            >
                <!-- Slides per View -->
                <sw-number-field
                    {% if VUE3 %}
                    v-model:value="element.config.slidesPerView.value"
                    {% else %}
                    v-model="element.config.slidesPerView.value"
                    {% endif %}
                    :label="$tc('sw-cms.elements.extSlider.config.label.slidesPerView')"
                    :placeholder="$tc('sw-cms.elements.extSlider.config.placeholder.slidesPerView')"
                    :min="1"
                    :disabled="element.config.effect.value === 'fade' || element.config.effect.value === 'cube'"
                />

                <!-- Loop -->
                <sw-switch-field
                    {% if VUE3 %}
                    v-model:value="element.config.loop.value"
                    {% else %}
                    v-model="element.config.loop.value"
                    {% endif %}
                    :label="$tc('sw-cms.elements.extSlider.config.label.loop')"
                />
                <sw-switch-field
                    {% if VUE3 %}
                    v-model:value="element.config.autoplay.value"
                    {% else %}
                    v-model="element.config.autoplay.value"
                    {% endif %}
                    :label="$tc('sw-cms.elements.extSlider.config.label.autoplay')"
                />

                <sw-number-field
                    {% if VUE3 %}
                    v-model:value="element.config.autoplayDelay.value"
                    {% else %}
                    v-model="element.config.autoplayDelay.value"
                    {% endif %}
                    :label="$tc('sw-cms.elements.extSlider.config.label.autoplayDelay')"
                    :min="1000"
                />

                <sw-select-field
                    {% if VUE3 %}
                    v-model:value="element.config.effect.value"
                    {% else %}
                    v-model="element.config.effect.value"
                    {% endif %}
                    :label="$tc('sw-cms.elements.extSlider.config.label.effect')"
                >
                    <option value="slide">{{ $tc('sw-cms.elements.extSlider.config.effectOptions.slide') }}</option>
                    <option value="fade">{{ $tc('sw-cms.elements.extSlider.config.effectOptions.fade') }}</option>
                    <option value="cube">{{ $tc('sw-cms.elements.extSlider.config.effectOptions.cube') }}</option>
                    <option value="coverflow">{{ $tc('sw-cms.elements.extSlider.config.effectOptions.coverflow') }}</option>
                </sw-select-field>
            </sw-container>
            {% endblock %}
        </template>
    </sw-tabs>
    {% endblock %}
</div>
{% endblock %}
